﻿using System.Windows;

namespace CE_MVVM_Toolkit
{
    /// <summary>
    /// Interaction logic for App
    /// </summary>
    public partial class App : Application
    {
        /// <summary>
        ///     This application instance.
        /// </summary>
        public static new App Current => (App)Application.Current;

        private void Application_Startup(object sender, StartupEventArgs e)
        {
            Carmenta.Engine.Runtime.Initialize();

            MainWindowView mainWindowView = new MainWindowView
            {
                DataContext = new MainWindowViewModel()
            };
            
            Current.MainWindow = mainWindowView;

            mainWindowView.Show();
        }

        private void Application_Exit(object sender, ExitEventArgs e)
        {
            Carmenta.Engine.Runtime.Shutdown();
        }
    }
}
