﻿using CE_MVVM_Toolkit.Models.Map;
using CE_MVVM_Toolkit.ViewModels;
using CE_MVVM_Toolkit.ViewModels.Map;

namespace CE_MVVM_Toolkit
{
    public class MainWindowViewModel : BaseViewModel
    {

        /// <summary>
        ///     Initializes the main application components and loads coordinators.
        /// </summary>
        public MainWindowViewModel()
        {
            MapModel mapModel = new MapModel();
            MapViewModel = new MapViewModel(mapModel);
            EffectsViewModel = new EffectsViewModel(new EffectsModel(mapModel));
            AddAppDataViewModel = new AddAppDataViewModel(mapModel);
        }

        /// <summary>
        ///     The map displayed in the main application.
        /// </summary>
        public MapViewModel MapViewModel { get; }

        /// <summary>
        ///     The effects.
        /// </summary>
        public EffectsViewModel EffectsViewModel { get; }

        public AddAppDataViewModel AddAppDataViewModel { get; }
    }
}
