﻿using System.ComponentModel;
using System.Windows;
using System.Windows.Controls;
using CE_MVVM_Toolkit.ViewModels.Map;

namespace CE_MVVM_Toolkit.Views.Map
{
    /// <summary>
    /// Interaction logic for MapView
    /// </summary>
    public partial class MapView : UserControl
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="MapView"/> class
        /// </summary>
        public MapView()
        {
            this.InitializeComponent();
        }

        /// <summary>
        ///     Initial setup of the map control after the window has loaded.
        /// </summary>
        /// <param name="sender">The sender.</param>
        /// <param name="e">The event arguments.</param>
        private void OnMapViewLoaded(object sender, RoutedEventArgs e)
        {
            if (DataContext is MapViewModel mapViewModel)
            {
                MapControl.View = mapViewModel.View;
                MapControl.Tool = mapViewModel.Tool;
                MapControl.Error += mapViewModel.OnMapControlError;
                mapViewModel.PropertyChanged += MapViewModelOnPropertyChanged;
            }
        }

        private void MapViewModelOnPropertyChanged(object sender, PropertyChangedEventArgs e)
        {
            if (!(sender is MapViewModel mapViewModel))
            {
                return;
            }

            switch (e.PropertyName)
            {
                case "Tool":
                    MapControl.Tool = mapViewModel.Tool;
                    break;
            }
        }
        
    }
}
